Subject: bug#12481: 24.2.50; scroll bar always stays at the top on LUCID Emacs Cygwin

From: Stefan Kangas <[email-masked]>
Date: Wed, 30 Oct 2019 23:09:44 +0100

Katsumi Yamaoka <[email-masked]> writes:

> In GNU Emacs 24.2.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
>  of 2012-09-20 on localhost
> Bzr revision: 110121 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11204000
> Configured using:
>  `configure '--with-x-toolkit=lucid' '--without-imagemagick'
>  '--without-dbus' '--without-gconf' '--without-gsettings''
>
> As you see the attached screenshot, the scroll bar stays at the top
> even though it displays the bottom of the etc/NEWS file.  I can
> scroll the window by dragging the scroll bar, however it returns
> to the top after releasing the mouse.  Is it an Emacs bug, or due
> to something in Cygwin?  Gtk Emacs 24.2 that Cygwin distributes
> works normal.

(This was reported 7 years ago but never got a reply at the time.)

Are you still seeing this in a modern version of Emacs?

Best regards,
Stefan Kangas